List of Figures

Figure 2-1. Imported Hyperion Enterprise Data Source Table 6

Figure 3-1. Imported Hyperion Enterprise Target Table 36

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
NEXT


Understanding the Hyperion Data Integration Management Adapter for Hyperion Enterprise

This chapter covers the following topics:

  • Hyperion Data Integration Managment Adapter for Hyperion Enterprise Overview
  • Working with the DIM Adapter for Enterprise
Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV NEXT


Hyperion Data Integration Managment Adapter for Hyperion Enterprise Overview

Oracle's Hyperion® Data Integration Management Adapter for Hyperion Enterprise® enables you to extract data and metadata from Hyperion® Enterprise® applications and load data into Hyperion Enterprise applications and load data into Hyperion Enterprise applications by way of Informatica PowerCenter Designer.


Working with the DIM Adapter for Enterprise

You create connection objects for connecting to Hyperion Enterprise applications so that you can extract data and metadata from the applications or load data into the applications. See Creating Hyperion Enterprise Connection Objects.

After connecting to a Hyperion Enterprise application, you can extract data and metadata from the application by selecting a source table that specifies which values to extract. For example, you can extract actual sales data for Benelux starting with July 2006 and ending with July 2007. See Importing and Editing Hyperion Enterprise Source Definitions.

You can load a Hyperion Enterprise application with data from another source using a target table that specifies how the values are loaded. For example, a target table can specify whether to replace the values in the application with the values you are loading, accumulate the values, or merge them. See Importing and Editing Hyperion Enterprise Target Definitions.


Working with Hyperion Enterprise Data Sources

This chapter covers the following topics:

  • Hyperion Enterprise Sources Overview
  • Importing and Editing Hyperion Enterprise Source Definitions
  • Deleting Hyperion Enterprise Source Definitions
  • Source Tables


Hyperion Enterprise Sources Overview

Using the Source Analyzer page of PowerCenter Designer, you import Hyperion Enterprise source definitions to the PowerCenter Repository to extract data from Hyperion Enterprise applications. You can also edit Hyperion Enterprise source definitions in the repository and delete source definitions from the repository.

An imported Hyperion Enterprise source definition appears as a table on the Source Analyzer page in the Designer. The rows of this table represent the dimensions of the Hyperion Enterprise application.

Figure 2-1. Imported Hyperion Enterprise Data Source Table


Importing and Editing Hyperion Enterprise Source Definitions

Use the Import Hyperion Enterprise Source dialog box to import a Hyperion Enterprise source definition.

To import a Hyperion Enterprise source definition:

  1. In the Source Analyzer window, click Sources > Import from Hyperion Enterprise.
  2. In the Import Hyperion Enterprise Source dialog box, select a Hyperion Enterprise application, enter your user name and password for the application, and click Connect.

    When you are connected to the application, the dialog box lists the extract and enumerate methods that are available for the application.

  3. Click an extract or enumerate method and then take one of these actions:
    • To create a Hyperion Enterprise data source, click Create Source.
    • To edit a Hyperion Enterprise data source, click Edit Source.


Deleting Hyperion Enterprise Source Definitions

To delete a Hyperion Enterprise source definition:

  1. In the Source Analyzer window, click Sources > Import from Hyperion Enterprise.
  2. In the Import Hyperion Enterprise Source dialog box, select a Hyperion Enterprise application, enter your user name and password for the application, and click Connect.

    When you are connected to the application, the dialog box lists the extract and enumerate methods that are available for the application.

  3. Click an extract or enumerate method, click the source to delete, and then click Delete Source.

Note: You can delete only sources that are not saved in the repository. If the source that you select has been saved, the Delete Source button is unavailable.


Source Tables

With the DIM Adapter for Enterprise, you can import source tables for extracting data and metadata from Hyperion Enterprise applications. You can import these kinds of source tables:

  • Extract Data
  • Extract Consolidation Detail
  • Extract Categories
  • Extract Entities
  • Extract Accounts
  • Extract Periods
  • Extract SubEntities
  • Extract SubAccounts
  • Extract Organizations
  • Extract Account Groups
  • Extract Journals
  • Enumerate Accounts
  • Enumerate Account List
  • Enumerate Categories
  • Enumerate Entities
  • Enumerate Entity List
  • Enumerate Organizations
  • Enumerate Periods


Extract Data

Use an Extract Data table to specify dimension members and properties for data to be extracted from a Hyperion Enterprise application. An Extract Data table has these ports:

  • Category—The category for which data is extracted

    Note: The category depends on the Category property setting.

  • Entity—The entity for which data is extracted

    Note: The entity depends on the Selected Organizations or Selected Entity Lists property setting

  • Account—The account for which data is extracted

    Note: The account depends on the Selected Account Groups or Selected Account Lists property setting.

  • ValueN (where N is a period number)—Shows the data value for the specified category, entity, account, and period combination

    Note: If you extract data in Single Value mode, the adapter has only one Value port, which is called Value1. If you extract data in Multiple Value mode, a Value port is added for each specified period. When you extract data in Multiple Value mode, the Value ports are named ValueN, where N represents a period number.

  • Period—The period from which data is extracted if you are extracting data from one period

    Note: If you are extracting data for one period, the Period port requires a value. If you are extracting data for multiple periods, the Period port does not appear.

You set these properties for Extract Data tables:

  • Start Period—The start period of the period range for which data is extracted; required
  • End Period—The end period of the period range for which data is extracted; required
  • Data View—A value for extract settings that data extract supports within Hyperion Enterprise:
    • Category enables you to use the category setting defined in the targeted Hyperion Enterprise application for data load. Valid values: CAT, C, or 2.
    • Periodic specifies that data load supports any period settings (that is, daily, weekly, monthly, quarterly, trimester, and yearly) in Hyperion Enterprise. (This is the default setting.) Valid values: PER, P, or 0.
    • Category-To-Date specifies that data load supports YTD settings in Hyperion Enterprise. Valid values: YTD, Y, or 1.
  • Include Calculated Accounts—Whether data is extracted for calculated accounts

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Scale—The unit of measure being used in Hyperion Enterprise

    Valid values: 0 if no scale is used; 1 through 10 for units through billions, respectively.

  • Selected Account Groups—A comma-delimited list of the account groups from which data is extracted.

    Note: If you specify a value for Selected Account Groups, you cannot specify a value for the Selected Account Lists property.

  • Selected Account Lists—A comma-delimited list of the account lists from which data is extracted

    Note: If you specify a value for Selected Account Lists, you cannot specify a value for the the Selected Account Groups property.

  • Selected Entity Lists—A comma-delimited list of the entity lists from which data is extracted

    Note: If you specify a value for Selected Entity Lists, you cannot specify a value for the Selected Organizations property.

  • Selected Organizations—A comma-delimited list of the organizations from which data is extracted

    Note: If you specify a value for Selected Organizations, you cannot specify a value for the Selected Entity Lists property.

  • Selected SubStructures, with parent—A comma-delimited list of substructures, for organizations, from which to extract data for subentities
  • Selected SubStructures, separately—A comma-delimited list of substructures, for organizations, from which to extract data for subentities
  • Selected SubAccount Tables, with parent—A comma-delimited list of subaccount tables from which to extract data for subentities
  • Selected SubAccount Tables, separately—A comma-delimited list of subaccount tables from which to extract data for subentities
  • Port name prefix—A name prefix for the Value ports; required

    Note: The suffix for each Value port name is a number, starting with 1.

  • Value port mode: Single value—The mode used for extracting one value for each entity, account, and period combination through a single Value port
  • Value port mode: Multiple value—The mode used for extracting a value for each entity and account combination for each specified period through multiple Value ports

    This mode extracts multiple values in one loop, rather than one single value for each loop. Using this mode requires additional property settings:

    • Number of periods—Number of periods to be extracted; required
    • First value is Period 1—Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Organization point of view—Point of view (POV) organization
  • “Master Organizational Structure” Category—A category to identify a master organizational structure from which data is extracted; for dynamic applications only (that is, applications that use the Ownership by Category and Period)
  • “Master Organizational Structure” Period—A period to identify a master organizational structure from which data is extracted; for dynamic applications only (that is, applications that use the Ownership by Category and Period)

Note: Working with the DIM Adapter for Enterprise option, you must select the category and period for the Master Organizational Structure properties. The system transfers only data for entities that are identified in the Master Organizational Structure.


Extract Consolidation Detail

Use an Extract Consolidation Detail table to specify dimension members and properties for consolidation to be extracted from a Hyperion Enterprise application. An Extract Consolidation Detail table has these ports:

  • Category—The category for which consolidation detail is extracted

    The value in the Category port matches the Category property setting.

  • Entity—The entity for which consolidation detail is extracted
  • Parent—The ID of the parent of the entity for which consolidation detail is extracted
  • Consolidation Detail Type—The type of consolidation detail extracted; valid values:
    • A (Adjustment)
    • C (Contribution)
    • E (Elimination)
    • P (Proportional)
    • T (Translation)
  • Account—The account from which consolidation detail is extracted
  • ValueN (where N is a period number)—The consolidation detail for the specified category, entity, account, and period combination that you selected.

Note: If you extract data in Single Value mode, the adapter has only one Value port, which is called Value1. If you extract data in Multiple Value mode, a Value port is added for each specified period. When you extract data in Multiple Value mode, the Value ports are named ValueN, where N represents a period number.

  • Period—The period for which consolidation detail is extracted if you are extracting data from one period. If you are extracting data for multiple periods, the Period port does not appear.

You set these properties for Extract Consolidation Detail tables:

  • Start Period—The start period of the period range for which consolidation detail is extracted; required
  • End Period—The end period of the period range for which consolidation detail is extracted; required
  • Category—Category from which to extract data
  • Data View—A value for extract settings that consolidation detail extract supports within Hyperion Enterprise:
    • Category enables you to use the category setting defined in the targeted Hyperion Enterprise application for data load. Valid values: CAT, C, or 2.
    • Periodic specifies that data load supports any period settings (that is, daily, weekly, monthly, quarterly, trimester, and yearly) in Hyperion Enterprise. (This is the default setting.) Valid values: PER, P, or 0.
    • Category-To-Date specifies that data load supports YTD settings in Hyperion Enterprise. Valid values: YTD, Y, or 1.
  • Include Calculated Accounts—Whether data is extracted for calculated accounts

    Valid values: true , t, or 1 (to enable this property); false, f, or 2 (to disable this property)

  • Scale—The unit of measure being used in Hyperion Enterprise

    Valid values: 0 if no scale is used; 1 through 10 for units through billions, respectively.

  • Selected Account Groups—A comma-delimited list of the account groups from which data is extracted.

    Note: If you specify a value for Selected Account Groups, you cannot specify a value for the Selected Account Lists property.

  • Selected Account Lists—A comma-delimited list of the account lists from which data is extracted

    Note: If you specify a value for Selected Account Lists, you cannot specify a value for the the Selected Account Groups property.

  • Selected Consolidation Detail Type—The consolidation detail type from which consolidation detail is extracted

    Valid values:

    • A (Adjustment)
    • C (Contribution)
    • E (Elimination)
    • P (Proportional)
    • T (Translation)
  • Selected Organizations—A comma-delimited list of the organizations from which consolidation detail is extracted
  • Selected SubStructures, with parent—A comma-delimited list of substructures, for organizations, from which to extract data for subentities
  • Selected SubStructures, separately—A comma-delimited list of substructures, for organizations, from which to extract data for subentities
  • Selected SubAccount Tables, with parent—A comma-delimited list of subaccount tables from which to extract data for subaccounts
  • Selected SubAccount Tables, separately—A comma-delimited list of subaccount tables from which to extract data for subaccounts
  • Port name prefix—A name prefix for the Value ports; required

    Note: The suffix for each Value port name is a number, starting with 1.

  • Value port mode: Single value—The mode used for extracting one value for each entity, account, and period combination through a single Value port
  • Value port mode: Multiple value—The mode used for extracting a value for each entity and account combination for each specified period through multiple Value ports

    This mode extracts multiple values in one loop, rather than one single value for each loop. Using this mode requires additional property settings:

    • Number of periods—Number of periods to be extracted; required
    • First value is Period 1—Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • “Master Organizational Structure” Category—A category to identify a master organizational structure from which data is extracted; for dynamic applications only (that is, applications that use the Ownership by Category and Period)
  • “Master Organizational Structure” Period—A period to identify a master organizational structure from which data is extracted; for dynamic applications only (that is, applications that use the Ownership by Category and Period)

Note: Working with the DIM Adapter for Enterprise option, you must select the category and period for the Master Organizational Structure properties. The system transfers only data for entities that are identified in the Master Organizational Structure.


Extract Categories

Use an Extract Categories table to specify categories and properties for categories to be extracted from a Hyperion Enterprise application. An Extract Categories table has these ports:

  • Category—The ID for the category being extracted
  • Description—The description for the category being extracted
  • Detail Definition—The value for the Allow Proportion and Elimination Detail attribute for the category

    This attribute determines whether the system allots storage for consolidation detail for the category.

  • Frequency—The Frequency attribute, which determines the number of periods for which the category stores data; valid values:
    • D (Daily)
    • W (Weekly)
    • M (Monthly)
    • Q (Quarterly)
    • T (Trimesters)
    • H (Half-yearly)
    • Y (Yearly)
  • Journal Start Number—The starting journal number for the category
  • Journals No Data Definition—A value indicating whether data is derived from posted journals as Category-to-Date or Periodic; valid values: ZEROYTD (Category-to-Date) and ZEROPER (Periodic)
  • No Data—A value for flow accounts: ZEROYTD to display year-to-date values for periods with no data or ZEROPER to display zeros for periods with no data

    For other accounts, the port outputs a blank space.

  • Path—The directory where the system stores the data file for each category
  • Periods—The total number of periods for the category
  • Prior Category—The ID of the prior category
  • Restart Definition—A value indicating whether journal numbers restart each period
  • Security—The security class assigned to the category
  • Start Period—The ID of the starting period for the category
  • Start Year—The year of the starting period for the category
  • View—The date view for the category: PER for Periodic, YTD for Year-to-Date

You set the Selected Categories property for Extract Categories tables. The Selected Categories port takes a comma-delimited list of the categories being extracted.


Extract Entities

Use an Extract Entities table to specify entities and properties for entities to be extracted from a Hyperion Enterprise application. An Extract Entities table has these ports:

  • Entity—The ID for the entity being extracted
  • Description—The description for the entity being extracted
  • Contrib Detail Stored—An X if contribution detail for the entity is stored
  • Code—Any valid 20-character code that is associated with the entity
  • Currency—The currency associated with the entity
  • Formula Method ID—The ID of the formula method that overrides the application's default chart method for the entity, or a space if the entity uses the default chart method
  • Holding Co Entity—The ID of the entity specified as a holding company
  • Interco Eliminations—An X if the entity is used for intercompany eliminations, or a space if it is not
  • Interco Matching—An X if the entity is used in an intercompany subaccount table for intercompany matching, or a space if it is not
  • Journals Allowed—An X if the name allows journal entries, or a space if it does not
  • Parent Adjust Formula—The chart method to use for parent adjustments
  • Parent Adjust Allowed—An X if adjustments for the parent entity is allowed
  • Parent—The ID of the parent of the entity
  • Substructure—The ID of the entity's substructure, or a space if the entity has no substructure
  • Security—The security class assigned to the entity
  • Scale—The unit of measure being used in Hyperion Enterprise

    Valid values: 0 if no scale is used; 1 through 10 for units through billions, respectively.

You set these properties for Extract Entities tables:

  • Selected Organizations—A comma-delimited list of the organizations from which data is extracted
  • Selected Substructures—A comma-delimited list of the substructures from which consolidation detail is extracted.


Extract Accounts

Use an Extract Accounts table to specify accounts and properties for accounts to be extracted from a Hyperion Enterprise application. An Extract Accounts table has these ports:

  • Account—The ID for the account being extracted
  • Description—The description for the account being extracted
  • Parent—The group associated with the parent
  • Account Group—The ID of the account group that includes the account
  • Account Type—The account type; valid values:
    • Income
    • Expense
    • Liability
    • Asset
    • Balance
    • Flow
  • Consolidated—An X if the account is consolidated, or a space if the account is not consolidated
  • Currency Translation—An X for accounts with currency translations, or a space for accounts without currency translations
  • Dynamic View—An X if the account is a dynamic view account, or a blank space if the account is not a dynamic view account
  • Decimal Places—The number of significant decimal places for account values, from 0 to 9
  • Code—Any valid 20-character code that is associated with the account
  • SubAccount Type—The subaccount type assigned to accounts: N for None, F for Fixed, or V for Validated
  • SubAccount Table—The ID of a subaccount table assigned to the account, or a space for an account without subaccounts
  • First Table Only—An X to attach the first level of the subaccount table only, or a blank space to attach all levels of the subaccount table
  • Security—The security class assigned to the account
  • Scaled Values—An X for an account with scaled values, or a space for an account without scaled values

You set these properties for Extract Accounts tables:

  • Selected Account Groups—A comma-delimited list of the account groups to extract
  • Selected SubAccount Tables, with parent—A comma-delimited list of subaccount tables from which to extract data for subaccounts


Extract Periods

Use an Extract Periods table to specify periods to be extracted from a Hyperion Enterprise application. An Extract Periods table has these ports:

  • Period—The number of the period being extracted
  • Description—The description of the period being extracted
  • Category—The ID of the category that includes the period
  • Index—The numeric value of the period and index in the category

You set the Selected Categories property for Extract Periods tables. The Selected Categories port takes a comma-delimited list of the categories for which to extract periods.


Extract SubEntities

Use an Extract SubEntities table to specify subentities and properties for accounts to be extracted from a Hyperion Enterprise application. An Extract SubEntities table has these ports:

  • SubEntity—The ID of the subentity being extracted
  • Description—The description of the subentity being extracted
  • Code—Any valid 20-character code that is associated with the subentity
  • Currency—The currency that is associated with the subentity
  • Formula Method ID—The ID of the formula method that overrides the application's default chart method for the subentity, or a space if the subentity uses the default chart method
  • Journals Allowed—An X if the subentity allows journal entries, or a space if it does not
  • Parent—The ID of the parent of the subentity
  • Security—The security class assigned to the subentity
  • Scale—The unit of measure being used in Hyperion Enterprise

    Valid values: 0 if no scale is used; 1 through 10 for units through billions, respectively

You set these properties for Extract SubEntities tables:

  • Selected Organizations—A comma-delimited list of the organizations to extract
  • Selected Substructures—A comma-delimited list of the substructures from which data is extracted
  • “Master Organizational Structure” Category—A category to identify a master organizational structure from which data is extracted; for dynamic applications only (that is, applications that use the Ownership by Category and Period)
  • “Master Organizational Structure” Period—A period to identify a master organizational structure from which data is extracted; for dynamic applications only (that is, applications that use the Ownership by Category and Period)


Extract SubAccounts

Use an Extract SubAccounts table to identify subaccounts to be extracted from a Hyperion Enterprise application and specify their properties. An Extract SubAccounts table has these ports:

  • SubAccount—The ID of the subaccount being extracted
  • Description—The description of the subaccount being extracted
  • Code—Any valid 20-character code that is associated with the subaccount
  • SubAccount Type—N for None, F for Fixed, or V for Validated
  • SubAccount Table—The ID of a subaccount table assigned to the subaccount, or a space for a subaccount without subaccounts
  • Table 2—The ID of the subaccount table of the single-level subaccount table linked with a multi-level table, or a space for a subaccount table linked to a single-level table
  • Security—The security class assigned to the subaccount
  • Reverse Sign—The override or reversed sign for the subaccount detail

    When a subaccount with a reversed sign is attached to a major account, the sign for the entire account.subaccount entry is reversed.

You set these properties for Extract SubAccounts tables:

  • Selected Account Groups—A comma-delimited list of the account groups to extract
  • Selected Subaccount Tables—A comma-delimited list of the subaccount tables to extract


Extract Organizations

Use an Extract Organizations table to identify organizations to be extracted from a Hyperion Enterprise application and specify their properties. An Extract Organizations table has these ports:

  • Organization—The ID of the organization being extracted
  • Description—The description of the organization being extracted
  • Top Entity—The ID of the top-level entity
  • Security—The security class assigned to the organization

You set the Selected Organizations property for Extract Periods tables. The Selected Categories port takes a comma-delimited list of organizations to extract.


Extract Account Groups

Use an Extract Account Groups table to identify account groups to be extracted from a Hyperion Enterprise application and specify their properties. An Extract Account Groups table has these ports:

  • Account Group—The ID of the account group being extracted
  • Description—The description of the account group being extracted
  • Account Type—The account type; valid values:
    • Income
    • Expense
    • Liability
    • Asset
    • Balance
    • Flow
  • Consolidated—An X if the account group is consolidated, or a space if the account group is not consolidated
  • Currency Translation—An X for account groups with currency translations, or a space for account groups without currency translations
  • Dynamic View—An X if the account group is a dynamic view account, or a blank space if the account group is not a dynamic view account
  • Decimal Places—The number of significant decimal places for account values, from 0 to 9
  • Code—Any valid 20-character code that is associated with the account group
  • SubAccount Type—The subaccount type assigned to the account group: N for None, F for Fixed, or V for Validated
  • SubAccount Table—The ID of a subaccount table assigned to the account group, or a space for an account group without subaccounts
  • First Table Only—An X to attach the first level of the subaccount table only, or a blank space to attach all levels of the subaccount table
  • Security—The security class assigned to the account group
  • Scaled Values—An X for an account group with scaled values, or a space for an account group without scaled values

You set the Selected Account Groups property for Extract Account Groups tables. The Selected Account Groups port takes a comma-delimited list of the account groups to extract.


Extract Journals

Use an Extract Journals table to identify journals and journal templates to be extracted from a Hyperion Enterprise application and specify their properties. An Extract Journals table has these ports:

  • Journal File Name—The name of the file where Hyperion Enterprise stored extracted journals

    Note: This port is empty if no journals are extracted.

You can set these properties for Extract Journals tables:

  • Journal Extract File—The name of the output file for journals or journal templates that you extract; required.
  • Periods—Whether to extract all periods or only the current period;

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Journals—Whether to extract all journals

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Standard Templates—Whether to extract standard journal templates

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Recurring Templates—Whether to extract recurring journal templates

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Regular—Whether to extract regular adjustments

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Auto-reversing—Whether to extract auto-reversing adjustments

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Unposted—Whether to extract unposted journals

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Posted—Whether to extract posted journals

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Auto-reversed—Whether to extract auto-reversed journals

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Reviewed—Whether to extract reviewed journals

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Reversed—Whether to extract reversed journals

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Locked—Whether to extract locked journals

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Balanced—Whether to extract balanced adjustments

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Unbalanced—Whether to extract unbalanced adjustments.

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Balanced By Entity—Whether to extract adjustments that are balanced by entity

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Delimiter—Specify a delimiter character for separating the data items in the extracted journals.
  • Extract Posted as Unposted—Whether to extract posted journals as unposted

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

  • Selected Journals—Whether journals to be extracted for a single period can be selected at runtime

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)


Enumerate Accounts

Use an Enumerate Accounts table to list all accounts and subaccounts for a Hyperion Enterprise application unless additional variables have been provided.

An Enumerate Accounts table has one port, Members, which outputs accounts that meet criteria that you specify by setting these properties:

  • Account Group—The name of an account group from which to list accounts
  • Account Type—What type of accounts to list; valid values:
    • 1 (Subaccount)
    • 2 (Input)
    • 3 (Calculated)
    • 4 (Dynamic view)
    • 5 (Currency)


Enumerate Account List

Use an Enumerate Accounts table to list accounts that are associated with a specified account list.

An Enumerate Accounts table has one port, List Names, which outputs the names of accounts in the specified account list.

An Enumerate Accounts table has one property, List Name, for specifying the account list. This setting is required.


Enumerate Categories

Use an Enumerate Categories table to list the categories in a Hyperion Enterprise application. An Enumerate Categories table has only one port, Members, which lists the categories.


Enumerate Entities

Use an Enumerate Entities table to list entities and subentities (including Top Entity) for a Hyperion Enterprise application unless you narrow the list by setting properties.

An Enumerate Entities table has only one port, Members, which lists the entities.

You can set these properties for an Enumerate Entities table:

  • Organization—Specify an organization from which to list entities
  • “Master Organizational Structure” Category—Working with the DIM Adapter for Enterprise option, you must select a category and period to identify a master organizational structure from which data is extracted. The system only transfers data for those entities that are identified in the Master Organizational Structure.

    Note: This parameter is for dynamic applications only; that is, applications that use the Ownership by Category and Period.

  • “Master Organizational Structure” Period—Working with the DIM Adapter for Enterprise option, you must select a category and period to identify a master organizational structure from which data is extracted. The system only transfers data for those entities that are identified in the Master Organizational Structure.

    Note: This parameter is for dynamic applications only; that is, applications that use the Ownership by Category and Period.

  • Top Entity—If you specify an organization, enter the name of the top entity in the organization.
  • Hierarchy Operator—Use this property setting to import a variable that filters the expected output.

    Note: When specifying a hierarchy operator, you must also specify an organization.

    Valid values:

    • 0 (All)
    • 1 (@Child: immediate dependents)
    • 2 (@Base: base names)


Enumerate Entity List

Use an Enumerate Entity List table to list all entities that are associated with a specified entity list. An Enumerate Entity List table has only one port, List Items, which shows the entity names in the specified entity list.

You can set these properties for an Enumerate Entity List table:

  • List Name—Enter the name of the entity list; required.
  • “Master Organizational Structure” Category—Working with the DIM Adapter for Enterprise option, you must select a category and period to identify a master organizational structure from which data is extracted. The system only transfers data for those entities that are identified in the Master Organizational Structure.

    Note: This parameter is for dynamic applications only; that is, applications that use the Ownership by Category and Period.

  • “Master Organizational Structure” Period—Working with the DIM Adapter for Enterprise option, you must select a category and period to identify a master organizational structure from which data is extracted. The system only transfers data for those entities that are identified in the Master Organizational Structure.

    Note: This parameter is for dynamic applications only; that is, applications that use the Ownership by Category and Period.

  • Organization—Enter the name of an organization as criteria for a fixed or dynamic entity list.


Enumerate Organizations

Use an Enumerate Organizations table to list the entities in a Hyperion Enterprise application. An Enumerate Organizations table has only one port, Members, which lists the entities.


Enumerate Periods

Use an Enumerate Periods table to list the periods in a Hyperion Enterprise application for a category that you specify. An Enumerate Periods table has only one port, Members, which lists the periods. You use the Category property to specify the category for the periods; the Category property setting is required.


Working with Hyperion Enterprise Targets

This chapter covers the following topics:

  • Hyperion Enterprise Targets Overview
  • Importing and Editing Hyperion Enterprise Target Definitions
  • Deleting Hyperion Enterprise Target Definitions
  • Target Tables


Hyperion Enterprise Targets Overview

From the Warehouse Designer page of PowerCenter Designer, you can import Hyperion Enterprise target definitions to the PowerCenter Repository. You can also edit Hyperion Enterprise target definitions that are in the repository, and you can delete target definitions from the repository. After importing a target, you can load data or journals into the target.

An imported Hyperion Enterprise target definition appears as a table on the Warehouse Designer page in the Designer. The columns of this table represent the dimensions of the Hyperion Enterprise application.

Figure 3-1. Imported Hyperion Enterprise Target Table


Importing and Editing Hyperion Enterprise Target Definitions

Use the Import Hyperion Enterprise Target dialog box to import a Hyperion Enterprise target definition.

To import a Hyperion Enterprise target definition:

  1. On the Warehouse Designer page, click Targets > Import from Hyperion Enterprise.
  2. In the Import Hyperion Enterprise Target dialog box, select a Hyperion Enterprise application, enter your user name and password for the application, and click Connect.

    When you are connected to the application, the dialog box lists the load and consolidate methods that are available for the application.

  3. Click a load or consolidate method and then take one of these actions:
    • To create a Hyperion Enterprise target, click Create Target.
    • To edit a Hyperion Enterprise target, click Edit Target.


Deleting Hyperion Enterprise Target Definitions

To delete a Hyperion Enterprise target definition:

  1. On the Warehouse Designer page, click Targets > Import from Hyperion Enterprise.
  2. In the Import Hyperion Enterprise Target dialog box, select a Hyperion Enterprise application, enter your user name and password for the application, and click Connect.

  3. Click a load or consolidate method and then click Delete Target.

Note: You can delete only targets that are not saved in the repository. If the target that you select has been saved, the Delete Target button is unavailable.


Target Tables

With the DIM Adapter for Enterprise, you can import target tables for loading data into Hyperion Enterprise applications. You can import these kinds of target tables:

  • Load Data
  • Load Journals
  • Consolidate


Load Data

Use a Load Data table to identify the dimension members in a Hyperion Enterprise application that you are loading with data, and to specify the properties of those dimension members. A Load Data table has these ports:

  • Category—A data category, such as actual, budget, or forecast; required
  • Account—A summarized general ledger account based on a specific account segment; required
  • Entity—A component of the organization that typically reflects a small business unit (SBU), legal entity, or division; required
  • Fiscal Year Start—Displayed when you select the Multiple Values Based on Fiscal Year option on the Value Port page of the Properties dialog box (for example, the fiscal year-2008); required
  • Value (where N is a period number)—The data value to be loaded into the application; required

    Note: If you load data for one period, there is only one Value port. If you load data for multiple periods, a Value port is added for each specified period.

  • Period—A time period number, from 1; required

    Note: This port is created in single-value mode only.

  • SubAccount—A component of the summarized general ledger account
  • SubSubAccount—A component of the summarized general ledger subaccount
  • SubEntity—A component of the organization that typically reflects an SBU, legal entity, or division
  • Reverse Sign—Whether the signs of values being loaded are changed (from positive to negative numbers or negative to positive)

    Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

You set these properties for Load Data tables:

  • Start Period—The first period range for loading data; required
  • End Period—The last period for loading data; required
  • Data View—A value for extract settings that data extract supports within Hyperion Enterprise:
    • Category enables you to use the category setting defined in the targeted Hyperion Enterprise application for data load. Valid values: CAT, C, or 2.
    • Periodic specifies that data load supports any period settings (that is, daily, weekly, monthly, quarterly, trimester, and yearly) in Hyperion Enterprise. (This is the default setting.) Valid values: PER, P, or 0.
    • Category-To-Date specifies that data load supports YTD settings in Hyperion Enterprise. Valid values: YTD, Y, or 1.
  • Calculate Formulas—A value indicating whether the system calculates formulas after loading the data; valid values: True or 1 to calculate formulas after loading, False or 0 to load without calculating
  • Load Mode—A value indicating how data is loaded into the Hyperion Enterprise application; valid values:
    • 0 (Accumulate0
    • 1 (Replace)
    • 2 (Merge)
  • Scale—The unit of measure used in Hyperion Enterprise

    Valid values: 0 if no scale is used; 1 through 10 for units through billions, respectively

  • Zero No Data—A value indicating whether to replace no-data conditions with zeroes
  • Account Conversion Table—A predefined account conversion table that matches Hyperion Enterprise accounts with accounts in an external system
  • Entity Conversion Table—A predefined entity conversion table that matches Hyperion Enterprise accounts with entities in an external system
  • Port name prefix—A name prefix for the Value ports; required

    Note: The suffix for each Value port name is a number, starting with 1.

  • Value port mode: Single value—The mode used for loading a value for the period specified in the Period port
  • Value port mode: Multiple values—The mode used for extracting multiple values in one loop, rather than one single value for each loop; used for data records containing multiple periods of data.

    Using this mode requires additional property settings:

    • Number of periods—Number of periods to be extracted; required
    • First value is Period 1—Valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

      For example, suppose you specify 24 Value ports named Value1 through Value24, a start period of 4, and an end period of 6:

    • If you enable First Value is Period 1, the data passed into the Value4 port is loaded into period 4 in Hyperion Enterprise, Value5 is loaded into period 5, and so on. The extracted values must be passed to these specific ports to be loaded into Hyperion Enterprise properly.
    • If you disable First Value is Period1, the values passed into the Value1, Value2, and Value3 ports are loaded into periods 4, 5, and 6, respectively, in Hyperion Enterprise.—
  • Value port mode: Multiple values based on fiscal year—For data records containing one fiscal year period data for one fiscal year

    When you select this option, the DIM Adapter for Enterprise has a Value port for each period in the fiscal year.

    Note: When using this mode, you must enter a number for the property Number of periods per year.

    For example, if you specify four periods in the fiscal year and Qtr as the port name prefix, the adapter displays the Value port names as Qtr1, Qtr2, Qtr3, and Qtr4. In addition to the Value ports, the adapter client creates a Fiscal Year Start port. The Value ports are optional; the Fiscal Year Start port is required.


Load Journals

Use a Load Journals table to load journals and journal templates for a specified category from a text file. A Load Journals table has one port, Load File Name, where you specify the name of the journal file to load.

You can set these properties for a Load Journals table:

  • Journals—Whether to calculate formulas after loading journals; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Standard Templates—Whether to load standard journal templates; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Recurring Templates—Whether to load recurring journal templates; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Regular—Whether to load regular adjustments; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Auto-reversing—Whether to load auto-reversing adjustments; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Unposted—Whether to load unposted journals; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Posted—Whether to load posted journals; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Auto-reversed—Whether to load auto-reversed journals; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Reviewed—Whether to load reviewed journals; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Reversed—Whether to load reversed journals; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Locked—Whether to load locked journals; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)
  • Delimiter—Specify a delimiter character to separate data items in the loaded journals.
  • Use 1.8 Format—Whether to load journals from a file using the Hyperion Enterprise SE journal format; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)


Consolidate

You use a Consolidate table to consolidate a Hyperion Enterprise application based on criteria that you enter in these ports, all of which require entries:

  • Category—The category from which data is to be consolidated
  • Start Period—The start period of the period range for which data is consolidated

    Period number is from 1.

  • End Period—The end period of the period range for which data is consolidated

    Period number is from 1.

  • Organization—The name of the organization to be consolidated
  • Top Entity—The top entity value
  • Consolidation Type—A number indicating the consolidation type

    Valid values:

    • 1 (Impacted)
    • 2 (All with Data)
    • 3 (All)
  • Server Consolidation—Whether the consolidation process should be performed on application server; valid values: true, t, or 1 (to enable this property); false, f, or 0 (to disable this property)

Note: A Consolidate table processes only the first row that is passed to the Hyperion Enterprise target. Other rows are ignored.


Connection Objects

This chapter covers the following topics:

  • Connection Objects Overview
  • Creating Hyperion Enterprise Connection Objects


Connection Objects Overview

You use a connection object of the Hyperion Enterprise Connection type to connect to Hyperion Enterprise at runtime. If you use a Hyperion Enterprise Connection objects when setting up a mapping for a session, it appears in the list of available application connections.

You can create a connection object that contains specific information for a Hyperion Enterprise connection. For example, you can create an object that uses your user name and password for connecting to the Legal application.


Creating Hyperion Enterprise Connection Objects

After you create a connection object, you can select it to provide the connection information for a Hyperion Enterprise source or destination when you set up a mapping for a session.

To create a Hyperion Enterprise Connection object:

  1. In the Application Connection Browser dialog box, select Hyperion Enterprise Connection.
  2. Click New.

    The Connection Object Definition dialog box appears.

  3. Enter your user name and password, and click OK.

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV